{ config, pkgs, lib, modulesPath, ... }:

{
  imports = [
    "${modulesPath}/installer/sd-card/sd-image-aarch64.nix"
    ./secrets
    ./networking.nix
    ./users.nix
  ];
  sdImage.compressImage = false;
  services = {
    getty.autologinUser = "root";
    openssh.enable = true;
  };

  networking.hostName = "agb02";
  networking.networkmanager.enable = true;

  environment.systemPackages = [
    (pkgs.callPackage ./agb {})
    pkgs.libgpiod
  ];

  system.stateVersion = "24.11";
}
