{ pkgs, config, ... }:
let
  net-config = (import (pkgs.path + "/nixos/lib/eval-config.nix") {
      system = "x86_64-linux";
      modules = [
        ./net-config.nix
        { users.users.root.openssh.authorizedKeys.keyFiles = config.users.users.root.openssh.authorizedKeys.keyFiles; }
      ];
  }).config.system.build;
in
{
  services.pixiecore = {
    enable = true;
    openFirewall = true;
    kernel = "${net-config.kernel}/bzImage";
    initrd = "${net-config.netbootRamdisk}/initrd";
    cmdLine = "init=${net-config.toplevel}/init loglevel=4";
  };
}
