{ pkgs, config, lib, modulesPath, ... }: {
  imports = [
    (modulesPath + "/installer/netboot/netboot-base.nix")
  ];

  boot.tmp.useTmpfs = true;
  time.timeZone = "Europe/Paris";
  i18n.defaultLocale = "en_US.UTF-8";
  console = {
    font = "Lat2-Terminus16";
    keyMap = "fr";
  };

  environment.systemPackages = with pkgs; [
    vim
  ];

  services = {
    getty.autologinUser = lib.mkForce "root";
    openssh = {
      enable = true;
      settings.PermitRootLogin = "yes";
    };
  };

  nix = {
    nixPath = [
      "nixpkgs=${builtins.storePath pkgs.path}"
      "nixos=${builtins.storePath pkgs.path}"
    ];
    channel.enable = false;
    settings.nix-path = config.nix.nixPath;
    package = pkgs.lix;
  };

  networking = {
    hostName = "hackens-net-image";
    firewall.enable = false;
  };

  system.stateVersion = "23.11";
}
