{ lib, pkgs, ... }:
let
  wsScraper = pkgs.callPackage ./websocket-exporter.nix { };
in
{
  systemd.services.kfet-open-recorder = {
    environment = {
      WEBSOCKET_EXPORTER_URI = "wss://cof.ens.fr/ws/k-fet/open";
      WEBSOCKET_EXPORTER_MATCH_TYPE = "contains";
      WEBSOCKET_EXPORTER_EXPECTED_MESSAGE = "open";
      WEBSOCKET_EXPORTER_LISTEN_ADDR = "127.0.0.1";
    };
    wantedBy = [ "multi-user.target" ];
    after = [ "network.target" ];
    wants = [ "network.target" ];

    serviceConfig = {
      ExecStart = "${lib.getExe wsScraper}";
      Restart = "always";
      RestartSec = 5;
      DynamicUser = true;
      StateDirectory = "kfet-open-recorder";
    };
  };
}
