{
  lib,
  python3,
  fetchFromGitHub,
}:

python3.pkgs.buildPythonApplication rec {
  pname = "blackbox-websocket-exporter";
  version = "unstable-2021-12-15";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "smohsensh";
    repo = "blackbox-websocket-exporter";
    rev = "6f9f32396f740fe606bf1b0118a27ad5caa3d9a6";
    hash = "sha256-+G7xw5631TllDGNzVK9swbSNfVu4r4glbYIblEa0WqA=";
  };

  patches = [
    ./patch
  ];

  nativeBuildInputs = [
    python3.pkgs.setuptools
    python3.pkgs.wheel
  ];

  propagatedBuildInputs = with python3.pkgs; [
    prometheus-client
    websockets
  ];

  meta = with lib; {
    description = "A Blackbox Websocket Uptime Exporter for Prometheus";
    homepage = "https://github.com/smohsensh/blackbox-websocket-exporter";
    license = licenses.mit;
    maintainers = with maintainers; [ ];
    mainProgram = "websocket_exporter";
  };
}
