let
  sources = import ./npins;

  agenix = sources.agenix + "/modules/age.nix";
  djangonix = sources.djangonix + "/module.nix";

  metadata = {
    nodes = {
      hackens-milieu = {
        deployment = {
          targetHost = "10.10.10.4";
          allowLocalDeployment = true;
          tags = [ "desktop" ];
        };
        imports = [ agenix ];
      };
      agb01 = {
        deployment = {
          targetHost = "10.10.10.5";
        };
        arch = "aarch64-linux";
        imports = [ agenix ];
      };
      rigel = {
        deployment = {
          targetHost = "10.1.1.1";
        };
        arch = "aarch64-linux";
      };
      hackens-org = {
        deployment = {
          targetHost = "10.10.10.1"; # todo make something with ens firewall
          tags = [ "server" ];
          targetPort = 22;
        };
        imports = [
          agenix
          djangonix
        ];
      };

      agb02 = {
        deployment = {
          targetHost = null;
        };
        arch = "aarch64-linux";
      };
    };
  };
in
metadata
