{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  django,
}:

buildPythonPackage rec {
  pname = "django-autoslug";
  version = "1.9.9";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "justinmayer";
    repo = "django-autoslug";
    rev = "v${version}";
    hash = "sha256-IRLY4VaKYXVkSgU/zdY+PSmGrcFB2FlE5L7j0FqisRM=";
  };

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  propagatedBuildInputs = [ django ];

  # Requires DJANGO_SETTINGS_MODULE
  # pythonImportsCheck = [ "autoslug" ];

  meta = with lib; {
    description = "AutoSlugField for Django";
    homepage = "https://github.com/justinmayer/django-autoslug/";
    changelog = "https://github.com/justinmayer/django-autoslug/blob/${src.rev}/CHANGELOG.rst";
    license = licenses.lgpl3Only;
    maintainers = with maintainers; [ thubrecht ];
  };
}
