{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
}:

buildPythonPackage rec {
  pname = "loadcredential";
  version = "1.2";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "Tom-Hubrecht";
    repo = "loadcredential";
    rev = "v${version}";
    hash = "sha256-rNWFD89h1p1jYWLcfzsa/w8nK3bR4aVJsUPx0UtZnIw=";
  };

  build-system = [
    setuptools
    wheel
  ];

  pythonImportsCheck = [ "loadcredential" ];

  meta = {
    description = "A simple python package to read credentials passed through systemd's LoadCredential, with a fallback on env variables ";
    homepage = "https://github.com/Tom-Hubrecht/loadcredential";
    license = lib.licenses.mit;
    maintainers = [ ]; # with lib.maintainers; [ thubrecht ];
  };
}
