{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  unittestCheckHook,
  setuptools,
  wheel,
  markdown,
}:

buildPythonPackage rec {
  pname = "markdown-icons";
  version = "3.1";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "Tom-Hubrecht";
    repo = "markdown-icons";
    rev = "v${version}";
    hash = "sha256-EZY/gyyZ5axInBfvsWLrDeTLDD+m18qSpf5XrVKLOaM=";
  };

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  nativeCheckInputs = [ unittestCheckHook ];

  propagatedBuildInputs = [ markdown ];

  pythonImportsCheck = [ "iconfonts" ];

  meta = with lib; {
    description = "Easily display icon fonts in markdown";
    homepage = "https://github.com/MadLittleMods/markdown-icons";
    license = licenses.free;
    maintainers = with maintainers; [ thubrecht ];
    mainProgram = "markdown-icons";
    platforms = platforms.all;
  };
}
